Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 25 Feb 2022 16:45:09 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Greetings. 
Two days back I got a call from dhl that my parcel with them. They asked what I prefer delivery or pick up - and I choose pick up. They said they cannot deliver themselves and will contact the shop. I asked if I can pick up from the shop so they said no need and shop will deliver to me. Two days passed and Boone contacted me or delivered items. What should I do? Thank you https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3937518